iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Class Methods | List of all members
MAGeodesicPolyline Class Reference

`#import <MAGeodesicPolyline.h>`

Inheritance diagram for MAGeodesicPolyline:

## Instance Methods
(BOOL) | - setPolylineWithPoints:count:
| 重新设置坐标点. since 5.0.0 Reset coordinate points. since 5.0.0 More...
(BOOL) | - setPolylineWithCoordinates:count:
| 重新设置坐标点. since 5.0.0 Reset coordinate points. since 5.0.0 More...
Instance Methods inherited from MAMultiPoint
(void) | - getCoordinates:range:
| 将内部的坐标点数据转化为经纬度坐标并拷贝到coords内存中 Convert the internal coordinate point data into latitude and longitude coordinates and copy them to the coords memory More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Class Methods
(instancetype) | + polylineWithPoints:count:
| 根据MAMapPoints生成大地曲线 Generate geodesic curves based on MAMapPoints More...
(instancetype) | + polylineWithCoordinates:count:
| 根据经纬度生成大地曲线 Generate geodesic curves based on latitude and longitude More...

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...
Properties inherited from MAMultiPoint
MAMapPoint * | points
NSUInteger | pointCount
BOOL | cross180Longitude
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Detailed Description

大地曲线 Earth's curvature

## Method Documentation

## ◆ polylineWithCoordinates:count:

+ (instancetype) polylineWithCoordinates: |  | (CLLocationCoordinate2D *) | coords
count: |  | (NSUInteger) | count

根据经纬度生成大地曲线 Generate geodesic curves based on latitude and longitude

Parameters

  coords | 经纬度 Latitude and longitude
  count | 点的个数 Number of points

Returns
  生成的大地曲线 Generated geodesic curves

Implements MAPolyline.

## ◆ polylineWithPoints:count:

+ (instancetype) polylineWithPoints: |  | (MAMapPoint *) | points
count: |  | (NSUInteger) | count

根据MAMapPoints生成大地曲线 Generate geodesic curves based on MAMapPoints

Parameters

  points | MAMapPoint点 MAMapPoint points
  count | 点的个数 Number of points

Returns
  生成的大地曲线 Generated geodesic curves

Implements MAPolyline.

## ◆ setPolylineWithCoordinates:count:

- (BOOL) setPolylineWithCoordinates: |  | (CLLocationCoordinate2D *) | coords
count: |  | (NSInteger) | count

重新设置坐标点. since 5.0.0 Reset coordinate points. since 5.0.0

Parameters

  coords | 指定的经纬度坐标点数组，C数组，内部会做copy，调用者负责内存管理 Specified array of latitude and longitude coordinate points, C array, internal copy will be performed, caller is responsible for memory management
  count | 坐标点的个数 Number of coordinate points

Returns
  是否设置成功 Whether the setup is successful

Implements MAPolyline.

## ◆ setPolylineWithPoints:count:

- (BOOL) setPolylineWithPoints: |  | (MAMapPoint *) | points
count: |  | (NSInteger) | count

重新设置坐标点. since 5.0.0 Reset coordinate points. since 5.0.0

Parameters

  points | 指定的直角坐标点数组，C数组，内部会做copy，调用者负责内存管理。 Specified rectangular coordinate points array, C array, internal copy will be made, caller is responsible for memory management
  count | 坐标点的个数 Number of coordinate points

Returns
  是否设置成功 Whether the setup is successful

Implements MAPolyline.

The documentation for this class was generated from the following file:

- MAGeodesicPolyline.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。